# -*- coding: utf-8 -*-

from django.contrib import admin

from operation.models import LatestAppInfo, SplashInfo, FeedbackInfo


class LatestAppInfoAdmin(admin.ModelAdmin):
    list_display = ('latest_version', 'latest_app', 'latest_url', 'status', 'created_at', 'updated_at')


class SplashInfoAdmin(admin.ModelAdmin):
    list_display = ('splash_image', 'spalash_image_airtime', 'spalash_image_deadline', 'status', 'created_at', 'updated_at')


class FeedbackInfoAdmin(admin.ModelAdmin):
    list_display = ('user_id', 'feedback', 'status', 'created_at', 'updated_at')


admin.site.register(LatestAppInfo, LatestAppInfoAdmin)
admin.site.register(SplashInfo, SplashInfoAdmin)
admin.site.register(FeedbackInfo, FeedbackInfoAdmin)
