# -*- coding: utf-8 -*-

# 用户相关
PROFILE_INFO = 'profile:info:%s'  # STRING，用户信息，user_id

# 群组相关
GROUP_INFO = 'group:info:%s'  # STRING，群组信息，group_id

# 群组用户相关
GROUP_USERS_INFO = 'group:users:info:%s'  # STRING，群组用户信息，group_id
GROUP_USERS_APPLYING_SET = 'group:users:applying:set:%s'  # SET，群组用户申请集合，group_id
GROUP_USERS_PASSED_SET = 'group:users:passed:set:%s'  # SET，群组用户通过集合，group_id
GROUP_USERS_REFUSED_SET = 'group:users:refused:set:%s'  # SET，群组用户拒绝集合，group_id
GROUP_USERS_DELETED_SET = 'group:users:deleted:set:%s'  # SET，群组用户移除集合，group_id
GROUP_USERS_QUIT_SET = 'group:users:quit:set:%s'  # SET，群组用户退出集合，group_id

# 群组照片相关
GROUP_PHOTO_THUMB_UP = 'group:photo:thumb:up:%s:%s'  # STRING，群组照片用户点赞记录，photo_id、user_id
GROUP_LAST_PHOTO_PK = 'group:last:photo:pk:%s'  # STRING，群组最后一张照片PK，group_id

# 摄影师照片相关
LENSMAN_PHOTO_PRICE = 'lensman:photo:price:%s:%s:%s'  # STRING，摄影师照片价格(单位:分)，photo_id、user_id、photo_type
LENSMAN_PHOTO_HAGGLE_TIMES = 'lensman:photo:haggle:times:%s:%s:%s'  # STRING，摄影师照片砍价次数，photo_id、user_id、photo_type
LENSMAN_PHOTO_ORDER_RECORD = 'lensman:photo:order:record:%s:%s'  # STRING，摄影师照片购买记录，photo_id、user_id

# 系统消息相关
SYSTEM_MESSAGE_READ_INFO = 'system:message:read:info:%s'  # STRING，系统消息读取信息，user_id
SYSTEM_MESSAGE_DELETED_INFO = 'system:message:deleted:info:%s'  # STRING，系统消息删除信息，user_id
